%define upstream_name    Nagios-Plugin-WWW-Mechanize
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Login to a web page as a user and get data as a Nagios plugin
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Nagios/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(FindBin)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Module::Install::Metadata)
BuildRequires: perl(Module::Install::WriteAll)
BuildRequires: perl(lib)
BuildRequires: perl(Nagios::Plugin::Functions)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(WWW::Mechanize)

BuildArch: noarch

%description
This module ties Nagios::Plugin with WWW::Mechanize so that there's less
code in your perl script and the most common work is done for you.

For example, the plugin will automatically call nagios_exit(CRITICAL, ...)
if a page is unavailable or a submit_form fails. The plugin will also keep
a track of the time for responses from the remote web server and output
that as performance data.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# Remove bundled libraries
rm -r inc
sed -i -e '/^inc\// d' MANIFEST

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/Nagios


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.130.0-12.mga10
+ Revision: 2204144
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.130.0-11.mga9
+ Revision: 1809907
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.130.0-10.mga8
+ Revision: 1505518
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.130.0-9.mga7
+ Revision: 1285108
- Mageia 7 Mass Rebuild

* Sun Oct 15 2017 tv <tv> 0.130.0-8.mga7
+ Revision: 1172006
- Fix building on Perl without '.' in @INC (CPAN RT#121770)

* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-7.mga6
+ Revision: 1030873
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.130.0-6.mga6
+ Revision: 946066
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-5.mga5
+ Revision: 740985
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-4.mga5
+ Revision: 685617
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.130.0-3.mga4
+ Revision: 513372
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 370473
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 37245
- remove mdv macros
- mageia rebuild
- imported package perl-Nagios-Plugin-WWW-Mechanize


* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.130.0-1mdv2010.1
+ Revision: 461331
- update to 0.13

* Thu Oct 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.120.0-2mdv2010.0
+ Revision: 458765
- ensure backportability

* Tue Sep 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.120.0-1mdv2010.0
+ Revision: 443244
- import perl-Nagios-Plugin-WWW-Mechanize


* Tue Sep 15 2009 cpan2dist 0.12-1mdv
- initial mdv release, generated with cpan2dist
